package cn.fw.valhalla.rpc.member.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 会员信息
 * <p>
 * create at 2019-05-09
 *
 * @author kurisu
 */
@Data
public class MemberUserDTO implements Serializable {
    /**
     * 用户Id
     */
    private Long userId;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 会员昵称
     */
    private String nickName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户头像URL
     */
    private String avatarUrl;

    /**
     * 证件类型
     */
    private Integer credentType;

    /**
     * 证件号码
     */
    private String credentNo;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 生日
     */
    private Date birthday;

}
