package cn.fw.valhalla.sdk.result;

import lombok.Data;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : BasicsCustomerDTO
 * @description : 基础档案信息
 * @date : 2022-04-12 14:04
 */
@Data
public class BasicsCustomerDTO {
    private Long customerId;
    /**
     * 姓名
     */
    private String customerName;
    /**
     * 客户类型
     *
     * @see cn.fw.valhalla.sdk.enums.CusTypeEnum
     */
    private Integer cusType;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车辆品牌信息
     */
    private String carName;
    /**
     * 专属服务顾问id
     */
    private Long adviserId;
    /**
     * 专属服务顾问
     */
    private String adviserName;
    /**
     * 所属服务站id
     */
    private Long shopId;
    /**
     * 所属服务站
     */
    private String shopName;
}
